org.eclipse.emf.facet.widgets.celleditors

## Interface IModelCellEditor

    public interface IModelCellEditor

### Method Summary

All Methods Instance Methods Abstract Methods
`Control` `activateCell(Composite parent, java.lang.Object originalValue, IModelCellEditHandler editHandler, EStructuralFeature feature, EObject source)` Initialize a cell for edition.
`java.lang.Object` `getValue()`

### Method Detail

#### activateCell

    Control activateCell(Composite parent,
                         java.lang.Object originalValue,
                         IModelCellEditHandler editHandler,
                         EStructuralFeature feature,
                         EObject source)

Initialize a cell for edition. This method must create a control inside the given parent to let the user edit the value.

Parameters:
  `parent` - the SWT control that must contain the cell editor
  `originalValue` - the original value of the cell being edited (that should be displayed in the control initially)
  `editHandler` - call `IModelCellEditHandler.commit()` when the user "commits" the value (for example by hitting enter in a text cell editor)
  `feature` - the model feature for which the value is edited
  `source` - the object containing the attribute or reference
Returns:
  the SWT `Control` to be used for capturing the new cell value

#### getValue

    java.lang.Object getValue()

Returns:
  the value currently in the control. This is the value that will be set on the model element when `IModelCellEditHandler.commit()` is called.